Bug 200358 - oops possibly related with connecting to vnc server
oops possibly related with connecting to vnc server
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-27 00:49 EDT by Alexandre Oliva
Modified: 2009-12-14 15:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 18:13:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2006-07-27 00:49:54 EDT
Description of problem:
First time I successfully into kernel-xen on x86_64 SMP, after X started and I
tried to connect to it (expecting a freeze, as per bug 181736), it didn't
freeze, but the following messages showed up in /var/log/messages at a
suspiciously-close time:

BUG: warning at net/core/dev.c:1177/skb_checksum_help() (Not tainted)

Call Trace:
 [<ffffffff803f1955>] skb_checksum_help+0x5f/0x114
 [<ffffffff8828531b>] :iptable_nat:ip_nat_fn+0x37/0x1aa
 [<ffffffff882856b2>] :iptable_nat:ip_nat_local_fn+0x32/0xb8
 [<ffffffff802358d7>] nf_iterate+0x41/0x7d
 [<ffffffff8040d972>] dst_output+0x0/0xe
 [<ffffffff80256caa>] nf_hook_slow+0x58/0xbc
 [<ffffffff8040d972>] dst_output+0x0/0xe
 [<ffffffff80235d31>] ip_queue_xmit+0x3d7/0x442
 [<ffffffff8020af6e>] kmem_cache_alloc+0xe2/0xee
 [<ffffffff802229b3>] tcp_transmit_skb+0x638/0x670
 [<ffffffff80417b52>] tcp_push_one+0xd7/0x105
 [<ffffffff80226ea7>] tcp_sendmsg+0x847/0xa9d
 [<ffffffff802392e7>] do_sock_write+0xc4/0xce
 [<ffffffff80247631>] sock_aio_write+0x4f/0x5e
 [<ffffffff802181c0>] do_sync_write+0xc7/0x104
 [<ffffffff80232ae5>] cache_free_debugcheck+0x1c6/0x1d5
 [<ffffffff8026294d>] _spin_unlock_irqrestore+0x9/0x36
 [<ffffffff802988ad>] autoremove_wake_function+0x0/0x2e
 [<ffffffff80260598>] thread_return+0x64/0xec
 [<ffffffff80216ec9>] vfs_write+0xe1/0x174
 [<ffffffff802176f3>] sys_write+0x45/0x6e
 [<ffffffff8025e0bd>] tracesys+0xa7/0xb2

BUG: warning at net/core/dev.c:1231/skb_gso_segment() (Not tainted)

Call Trace:
 [<ffffffff803f17d6>] skb_gso_segment+0xaf/0x1cf
 [<ffffffff803f1e6e>] dev_hard_start_xmit+0x169/0x224
 [<ffffffff80231141>] dev_queue_xmit+0x265/0x325
 [<ffffffff802336c1>] ip_output+0x1fd/0x244
 [<ffffffff80235d47>] ip_queue_xmit+0x3ed/0x442
 [<ffffffff8020af6e>] kmem_cache_alloc+0xe2/0xee
 [<ffffffff802229b3>] tcp_transmit_skb+0x638/0x670
 [<ffffffff80417b52>] tcp_push_one+0xd7/0x105
 [<ffffffff80226ea7>] tcp_sendmsg+0x847/0xa9d
 [<ffffffff802392e7>] do_sock_write+0xc4/0xce
 [<ffffffff80247631>] sock_aio_write+0x4f/0x5e
 [<ffffffff802181c0>] do_sync_write+0xc7/0x104
 [<ffffffff80232ae5>] cache_free_debugcheck+0x1c6/0x1d5
 [<ffffffff8026294d>] _spin_unlock_irqrestore+0x9/0x36
 [<ffffffff802988ad>] autoremove_wake_function+0x0/0x2e
 [<ffffffff80260598>] thread_return+0x64/0xec
 [<ffffffff80216ec9>] vfs_write+0xe1/0x174
 [<ffffffff802176f3>] sys_write+0x45/0x6e
 [<ffffffff8025e0bd>] tracesys+0xa7/0xb2

Could this possibly be related with the cause of the freeze in the other bug?

It doesn't freeze because drm doesn't initialize properly (is that another bug?)

[drm] Initialized drm 1.0.1 20051102
ACPI: PCI Interrupt 0000:01:00.0[A] -> GSI 16 (level, low) -> IRQ 19
[drm] Initialized radeon 1.25.0 20060524 on minor 0
[drm:radeon_cp_init] *ERROR* radeon_cp_init called without lock held
[drm:drm_unlock] *ERROR* Process 6705 using kernel context 0

Version-Release number of selected component (if applicable):
kernel-xen-2.6.17-1.2449.fc6

How reproducible:
Tried to reproduce it but couldn't
Comment 1 Stephen Tweedie 2007-03-16 11:10:15 EDT
Is this still reproducible on the latest stable release+updates?  Thanks.
Comment 2 Red Hat Bugzilla 2007-07-24 21:32:05 EDT
change QA contact
Comment 3 Chris Lalancette 2008-02-26 18:13:34 EST
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks

Note You need to log in before you can comment on or make changes to this bug.